Subject: :book: upd docs based on dev and seo feedbacks'
Author: ruzilia
Committer: ruzilia

Date Level Type Message
2019-07-09 07:52:55 INFO runbot init Init build environment
2019-07-09 07:52:55 INFO runbot checkout ignore repo "misc-addons" as all modules are already in addons-dev branch
2019-07-09 07:52:55 INFO runbot checkout closest branch for odoo/odoo is refs/heads/12.0
2019-07-09 07:52:55 INFO runbot checkout closest branch for it-projects-llc/web is refs/heads/12.0
2019-07-09 07:52:55 INFO runbot checkout closest branch for it-projects-llc/website-addons is refs/heads/12.0
2019-07-09 07:52:55 INFO runbot checkout closest branch for it-projects-llc/pos-addons is refs/heads/12.0
2019-07-09 07:52:55 INFO runbot checkout closest branch for it-projects-llc/l10n-addons is refs/heads/12.0
2019-07-09 07:52:55 INFO runbot checkout closest branch for it-projects-llc/access-addons is refs/heads/12.0
2019-07-09 07:52:55 INFO runbot checkout closest branch for it-projects-llc/mail-addons is refs/heads/12.0
2019-07-09 07:52:55 INFO runbot checkout closest branch for it-projects-llc/rental-addons is master
2019-07-09 07:52:55 INFO runbot checkout closest branch for it-projects-llc/website is master
2019-07-09 07:52:55 INFO runbot checkout closest branch for it-projects-llc/hr is refs/heads/12.0
2019-07-09 07:52:55 INFO runbot checkout closest branch for it-projects-llc/reporting-engine is master
2019-07-09 07:52:55 INFO runbot checkout closest branch for OCA/event is refs/heads/12.0
2019-07-09 07:52:55 INFO runbot checkout closest branch for OCA/partner-contact is refs/heads/12.0
2019-07-09 07:52:55 INFO runbot checkout modules to install: [u'odoo_backup_sh', u'odoo_backup_sh_dropbox']
2019-07-09 07:53:36 INFO runbot check_branch_name success
2019-07-09 07:53:39 INFO runbot test_base Test Updated and explicit modules
2019-07-09 07:53:39 INFO runbot _install_and_test DB: 00795-676-28ba34-base, Modules: odoo_backup_sh, odoo_backup_sh_dropbox
2019-07-09 07:54:01 WARNING server odoo.modules.loading:540 reset_modules_state Transient module states were reset
2019-07-09 07:54:01 ERROR server odoo.modules.registry:91 new
Failed to load registry
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 322, in _check_external_dependencies
    importlib.import_module(pydep)
  File "/usr/local/lib/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 953, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'pretty_bad_protocol'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 336, in check_external_dependencies
    cls._check_external_dependencies(terp)
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 324, in _check_external_dependencies
    raise ImportError('No module named %s' % (pydep,))
ImportError: No module named pretty_bad_protocol

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/modules/loading.py", line 386, in load_modules
    modules.button_install()
  File "<decorator-gen-60>", line 2, in button_install
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 74, in check_and_log
    return method(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 394, in button_install
    modules._state_update('to install', ['uninstalled'])
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 371, in _state_update
    self.check_external_dependencies(module.name, newstate)
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 344, in check_external_dependencies
    raise UserError(msg % (module_name, e.args[0]))
odoo.exceptions.UserError: ('Unable to install module "odoo_backup_sh" because an external dependency is not met: No module named pretty_bad_protocol', '')
2019-07-09 07:54:01 CRITICAL server odoo.service.server:1144 preload_registries
Failed to initialize database `00795-676-28ba34-base`.
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 322, in _check_external_dependencies
    importlib.import_module(pydep)
  File "/usr/local/lib/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 953, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'pretty_bad_protocol'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 336, in check_external_dependencies
    cls._check_external_dependencies(terp)
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 324, in _check_external_dependencies
    raise ImportError('No module named %s' % (pydep,))
ImportError: No module named pretty_bad_protocol

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/service/server.py", line 1116, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/modules/loading.py", line 386, in load_modules
    modules.button_install()
  File "<decorator-gen-60>", line 2, in button_install
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 74, in check_and_log
    return method(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 394, in button_install
    modules._state_update('to install', ['uninstalled'])
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 371, in _state_update
    self.check_external_dependencies(module.name, newstate)
  File "/mnt/odoo-extra/runbot/static/build/00795-676-28ba34/odoo/addons/base/models/ir_module.py", line 344, in check_external_dependencies
    raise UserError(msg % (module_name, e.args[0]))
odoo.exceptions.UserError: ('Unable to install module "odoo_backup_sh" because an external dependency is not met: No module named pretty_bad_protocol', '')
2019-07-09 07:55:53 INFO runbot pylint_script Start pylint script
2019-07-09 07:55:53 INFO runbot pylint_script No config file detected
2019-07-09 07:56:11 INFO runbot test_all Testing all modules is not configured for this repo
2019-07-09 07:56:11 INFO runbot run Start running build 00795-676-28ba34